/* FONT FAMILY */

@font-face {
  font-family: "etna-font";
  src: url("/font/etna-free-font.otf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@400;700&display=swap');

body {
  margin: 0;
  background-color: #1e1e1e;
  font-family: sans-serif;
}

/* .header-container {
  background-color: #0e7abc;
  display: inline-block;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
}

header {
  display: inline-block;
  text-align: center;
  padding: 40px;
} */




.main-container {
  position: relative;

  background-color: #1e1e1e;
  background-size: cover;
  background-attachment: fixed;
  background-position: center;

  padding: 10px;
  z-index: 1;
}

.parallax {
    position: fixed;
    top: -5%;
    left: -5%;
    width: 110%;
    height: 10%;
    overflow: hidden;
}

.bg {
    position: fixed;
    /* top: 0; */
    /* left: 0; */
    width: 110%;
    height: 110%;
    transform: translate(-5%, -5%) scale(1.2);
    background-size: cover;
    background-position: center;
    will-change: transform;
}

#bg1 { background-image: url("/images/Backgroun-line/Background\ line\ lv.1.png"); z-index: 1; }
#bg2 { background-image: url("/images/Backgroun-line/Background\ line\ lv.2.png"); z-index: 2; }
#bg3 { background-image: url("/images/Backgroun-line/Background\ line\ lv.3.png"); z-index: 3; }


#bg1 { transform: translateZ(-200px) scale(1.3); }
#bg2 { transform: translateZ(-100px) scale(1.15); }
#bg3 { transform: translateZ(0px); }


header {
  background-image: url("/images/HEADER.png");
  background-size: cover;          /* si adatta alla larghezza */
  background-repeat: no-repeat;
  background-position: center top; /* tiene fermo il centro */

  margin-bottom: 0;
  max-height: 30vh; /* si adatta allo schermo */
  max-height: 60vh;
  padding: 10px;
  
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}


header img {
  height: 50px;
  display: block;
}


/* -----------------------bottone HOME */
.btn-home {
  background-color: #555;
  width: 50px;
  text-align: center;
  padding: 10px 20px;
  margin: 20px 30px;
  border-radius: 8px;
  font-family: "etna-font";
  z-index: 5;
}

.btn-home:hover {
  width: 60px;
  margin: 20px 40px;
  border-radius: 30px;
  background-color: #b3ff00;
  transition: all 0.3s;
} 

.link-home {
  display: block;
  padding: 10px;
  text-decoration: none;
}

a,
a:visited,
a:hover,
a:active {
  color: #0e7abc;
  text-decoration: none;
}

a:hover {
  color: #fff;
} 

                 /*---------------------ICONE LINK SOCIAL*/

.link-social {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  padding: 10px;
  margin: 20px auto;
}

.link-social img {
  width: 70px;
  height: 70px;
  object-fit: contain;
  cursor: pointer;
  opacity: 75%;
  transition: 0.5s;
}

.link-social img:hover {
  width: 85px;
  height: auto;
  opacity: 100%;
}

/* --------------SLIDER IMG INTERIOR DESIGN */

.slideshow-container-interior {
  padding: 2rem;
  margin: auto auto;
  background-color: rgba(14, 122, 188, 0.0);
  max-width: 60rem;
}

.slider-wrapper-interior {
  position: relative;
  max-width: 100rem;
  margin: 0 auto;
}

.slider-interior {
  display: flex;
  aspect-ratio: 16/9;
  overflow-x: hidden;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  box-shadow: 0 1.5rem 3 rem -0.75rem #ff0505;
}



.slider img {
  flex: 1 0 100%;
  scroll-snap-align: start;
  object-fit: cover;
}

.slider-nav {
  display: flex;
  column-gap: 1rem;
  position: absolute;
  bottom: 1.25rem;
  left: 50%;
  transform: translateX(-50%);
  z-index: 4;
}

.slider-nav a {
  width: 0.7rem;
  height: 0.7rem;
  border-radius: 50%;
  background-color: #fff;
  opacity: 0.25;
  transition: opacity ease 250ms;
}

.slider-nav a:hover {
  opacity: 1;
}


.site-footer {
  background-image: url("/images/FOOTER.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top center; 

  text-align: center;
  font-family: "etna-font";
  font-size: 17px;
  color: rgb(0, 0, 0);

  margin-top: 2em;
  min-height: 30vh; 
  max-height: 40vh;
  
  position: sticky;
  bottom: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.copy-footer {
  display: flexbox;
  text-align: center;
  align-items: center;
  justify-content: center;
}